import request from '@/utils/request'
import {
	upFilse
} from '@/utils/request'

// 资金列表
export function usercoin(data) {
	return request({
		url: '/User/usercoin',
		method: 'get',
		data
	});
}

// 我的总资金
export function getallzhehe(data) {
	return request({
		url: '/User/getallzhehe',
		method: 'get',
		data
	});
}

// 充币列表
export function czcoin(data) {
	return request({
		url: '/user/czcoin',
		method: 'get',
		data
	});
}

// 充币详情
export function czpage(data) {
	return request({
		url: '/user/czpage',
		method: 'get',
		data
	});
}

//上传图片
export function upload(data) {
	return upFilse({
		url: '/User/recharge_img',
		method: 'post',
		data
	});
}

// 充值
export function paycoin(data) {
	return request({
		url: '/user/paycoin',
		method: 'get',
		data
	});
}

// 提幣列表
export function txcoin(data) {
	return request({
		url: '/User/txcoin',
		method: 'get',
		data
	});
}

// 提幣詳情
export function txpage(data) {
	return request({
		url: '/User/txpage',
		method: 'get',
		data
	});
}

// 提幣地址
export function addresslist(data) {
	return request({
		url: '/User/addresslist',
		method: 'get',
		data
	});
}

// 添加提幣地址
export function upplusaddress(data) {
	return request({
		url: '/User/upplusaddress',
		method: 'get',
		data
	});
}

// 刪除地址
export function deladdress(data) {
	return request({
		url: '/User/deladdress',
		method: 'get',
		data
	});
}

// 提幣
export function tbhandle(data) {
	return request({
		url: '/user/tbhandle',
		method: 'get',
		data
	});
}

// 我的充幣列表
export function czlist(data) {
	return request({
		url: '/user/czlist',
		method: 'get',
		data
	});
}

// 我的充幣详情
export function czinfo(data) {
	return request({
		url: '/user/czinfo',
		method: 'get',
		data
	});
}

// 我的提幣列表
export function txlist(data) {
	return request({
		url: '/user/txlist',
		method: 'get',
		data
	});
}

// 我的提币详情
export function txinfo(data) {
	return request({
		url: '/user/txinfo',
		method: 'get',
		data
	});
}

// 认购列表
export function index(data) {
	return request({
		url: '/Issue/index',
		method: 'get',
		data
	});
}

// 认购详情
export function details(data) {
	return request({
		url: '/Issue/details',
		method: 'get',
		data
	});
}

// 认购
export function upbuynum(data) {
	return request({
		url: '/Issue/upbuynum',
		method: 'get',
		data
	});
}

// 我的认购
export function issuelog(data) {
	return request({
		url: '/Issue/issuelog',
		method: 'get',
		data
	});
}
